# CUpti_PCSamplingConfigurationInfo Struct Reference
[CUPTI PC Sampling API]

PC sampling configuration information structure. More...

## Data Fields

CUpti_PCSamplingConfigurationAttributeType | attributeType
struct {
} | collectionModeData
struct {
} | enableStartStopControlData
struct {
} | hardwareBufferSizeData
struct {
} | invalidData
struct {
} | outputDataFormatData
struct {
} | samplingDataBufferData
struct {
} | samplingPeriodData
struct {
} | scratchBufferSizeData
struct {
} | stallReasonData
struct {
} | workerThreadPeriodicSleepSpanData

## Detailed Description

This structure provides CUpti_PCSamplingConfigurationAttributeType which can be configured or queried for PC sampling configuration

## Field Documentation

CUpti_PCSamplingConfigurationAttributeType CUpti_PCSamplingConfigurationInfo::attributeType

Refer CUpti_PCSamplingConfigurationAttributeType for all supported attribute types

struct { ... } CUpti_PCSamplingConfigurationInfo::collectionModeData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_COLLECTION_MODE

struct { ... } CUpti_PCSamplingConfigurationInfo::enableStartStopControlData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_ENABLE_START_STOP_CONTROL

struct { ... } CUpti_PCSamplingConfigurationInfo::hardwareBufferSizeData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_HARDWARE_BUFFER_SIZE

struct { ... } CUpti_PCSamplingConfigurationInfo::invalidData

Invalid Value

struct { ... } CUpti_PCSamplingConfigurationInfo::outputDataFormatData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_OUTPUT_DATA_FORMAT

struct { ... } CUpti_PCSamplingConfigurationInfo::samplingDataBufferData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_SAMPLING_DATA_BUFFER

struct { ... } CUpti_PCSamplingConfigurationInfo::samplingPeriodData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_SAMPLING_PERIOD

struct { ... } CUpti_PCSamplingConfigurationInfo::scratchBufferSizeData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_SCRATCH_BUFFER_SIZE

struct { ... } CUpti_PCSamplingConfigurationInfo::stallReasonData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_STALL_REASON

struct { ... } CUpti_PCSamplingConfigurationInfo::workerThreadPeriodicSleepSpanData

Refer CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_WORKER_THREAD_PERIODIC_SLEEP_SPAN